# Class CIM_ProductProductDependency

CIM_ProductProductDependency is an association between two Products, indicating that one must be installed, or must be absent, for the other to function. This is conceptually equivalent to the ServiceServiceDependency association.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ProductProductDependency

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | CIM_ProductProductDependency is an association between two Products, indicating that one must be installed, or must be absent, for the other to function. This is conceptually equivalent to the ServiceServiceDependency association.
UMLPackagePath | string | CIM::Core::ProductFRU
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
TypeOfDependency | uint16 |
Description | string | The nature of the Product dependency. This property describes that the associated Product must be installed (value=2) or must be absent (value=3) in order for the Product to function.
ValueMap | string | 0, 1, 2, 3
Values | string | Unknown, Other, Product Must Be Installed, Product Must Not Be Installed

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
DependentProduct | CIM_ProductProductDependency | CIM_Product
RequiredProduct | CIM_ProductProductDependency | CIM_Product

## Class Methods